package com.zhentao.controller;

import com.zhentao.ASCII;
import com.zhentao.ResultVo;
import com.zhentao.pojo.Goods;
import com.zhentao.pojo.dto.GoodsDto;
import com.zhentao.pojo.dto.GoodsNameDto;
import com.zhentao.service.GoodsService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.HashMap;
import java.util.Map;
import java.util.Objects;

/**
 * @Date 2025/5/16 9:54
 * @Author gln
 **/
@RestController
@RequestMapping("goods")
public class GoodsController {
    @Autowired
    private GoodsService goodsService;
    @PostMapping("addGoods")
    public String addGoods(@RequestBody GoodsDto goodsDto){
        Goods goods = new Goods();
        goods.setGoodsImg(goodsDto.getGoodsImg());
        goods.setGoodsName(goodsDto.getGoodsName());
        goods.setDescriptions(goodsDto.getDescriptions());
        goods.setContent(goodsDto.getContent());
        goodsService.save(goods);
//        System.out.println("添加商品成功");
        return "添加商品成功";
    }
//    @Autowired
//    private GoodsNameDto goodsNameDto;
    @PostMapping("goodsname")
    public ResultVo goodsname(
            @RequestParam String goodsId,
            @RequestParam String reqId,
            @RequestParam long reqTime,
            @RequestParam String appId,
            @RequestParam String sign
            ){
        Map<String, String> params = new HashMap<>();
        params.put("goodsId",goodsId);
        params.put("reqId",reqId);
        params.put("reqTime", String.valueOf(reqTime));
        params.put("appId",appId);
        if(ASCII.checkSign(params,sign)){
            return ResultVo.success("鸡蛋");
        }else {
            return ResultVo.fail("1002","失败");
        }
    }
}
