package com.zhentao;

import lombok.Data;

/**
 * @Date 2025/5/15 11:46
 * @Author gln
 **/
@Data
public class ResultVo<T> {
    private String code;
    private String msg;
    private T data;

    public static <T> ResultVo<T> success(T data) {
        ResultVo<T> vo = new ResultVo<>();
        vo.setCode("200");
        vo.setMsg("成功");
        vo.setData(data);
        return vo;
    }

    public static <T> ResultVo<T> fail(String code, String msg) {
        ResultVo<T> vo = new ResultVo<>();
        vo.setCode(code);
        vo.setMsg(msg);
        return vo;
    }
}
